Bug 37995 - 'checkpc -f' hangs on open(/dev/irlpt0,...)
Summary: 'checkpc -f' hangs on open(/dev/irlpt0,...)
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: LPRng   
(Show other bugs)
Version: 7.1
Hardware: i386
OS: Linux
high
medium
Target Milestone: ---
Assignee: Crutcher Dunnavant
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-04-27 06:07 UTC by redhat
Modified: 2007-03-27 03:43 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-04-27 06:07:18 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description redhat 2001-04-27 06:07:13 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.75 [de] (X11; U; Linux 2.2.16-3 i686; Nav)


/etc/init.d/lpd calls checkpc -f, which hangs an printer ports
like /dev/irlpt0. The open is blocked until a IRDA printer is
in range.

Reproducible: Always
Steps to Reproduce:
1.Configure a IRDA printer in printcap (/dev/irlpt0)
2.Start /etc/init.d/irda
3.Start /etc/init.d/lpd
	

Actual Results:  The system won't boot until an IRDA printer is recognised
by
the IRDA kernel stack and thus the open() performed by 'checkpc -f'
is returned.

Expected Results:  System should start.

Use either non-blockig open() in checkpc or comment out
the line in /etc/init.d/lpd

Comment 1 Crutcher Dunnavant 2001-10-11 14:46:41 UTC
this 'should' work now, but havent tested it. Try LPRng from rawhide, and reopen
if this is broken.


Note You need to log in before you can comment on or make changes to this bug.